Bug 17053 - Clearing search term in Reports
Summary: Clearing search term in Reports
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Frédéric Demians
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-04 17:50 UTC by Jesse Maseto
Modified: 2017-12-07 22:15 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17053 Clearing search term in Reports (1.46 KB, patch)
2016-08-06 08:14 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 17053 Clearing search term in Reports (1.52 KB, patch)
2016-08-06 12:43 UTC, Jesse Maseto
Details | Diff | Splinter Review
[PASSED QA] Bug 17053 Clearing search term in Reports (1.58 KB, patch)
2016-08-07 11:41 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Maseto 2016-08-04 17:50:26 UTC
If you click the clear button to clear the search term it does take the search term away. However, the next time you click on "Saved reports" the search term is still there.

1. Do a search for "series"
2. Click the clear button ("Series" is removed from the search box and the list of reports populates with all reports)
3. Do anything (or nothing)
4. Click on "saved reports"
5. "Series" is in the search box and the list of reports are limited to reports about series.
Comment 1 Frédéric Demians 2016-08-06 08:14:03 UTC Comment hidden (obsolete)
Comment 2 Jesse Maseto 2016-08-06 12:43:12 UTC Comment hidden (obsolete)
Comment 3 Jesse Maseto 2016-08-06 12:44:56 UTC
Thank you. This patch works perfectly.
-JesseM
Comment 4 Katrin Fischer 2016-08-07 11:41:37 UTC
Created attachment 54118 [details] [review]
[PASSED QA] Bug 17053 Clearing search term in Reports

If you click the clear button to clear the search term it does take the search
term away. However, the next time you click on "Saved reports" the search term
is still there.

TO TEST:

1. Reports > Use saved
2. Filter on anything (date/author/keyword). Let say "foo" in keyword.
3. Click the Clear link on the Filter form. You can see that "foo" is removed
   from keyword, and all the saved reports are displayed.
4. Click "Saved Reports" on the left. You can see that "foo" reappears in
   keyword filter.
5. Apply the patch, and repeat steps 2-4.

Signed-off-by: Jesse Maseto <jesse@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Kyle M Hall 2016-08-10 13:37:22 UTC
Pushed to master for 16.11, thanks Frédéric!
Comment 6 Frédéric Demians 2016-08-23 09:40:00 UTC
Pushed in 16.05. Will be in 16.05.03.
Comment 7 Julian Maurice 2016-08-23 15:31:17 UTC
Pushed to 3.22.x, will be in 3.22.10